commit:     c84f5f6b7db5621fda957a054c85c11066faed48
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 24 23:06:46 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Dec 24 23:08:21 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c84f5f6b

xfce-extra/xfce4-xkb-plugin: Bump to 0.8.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-extra/xfce4-xkb-plugin/Manifest               |  1 +
 .../xfce4-xkb-plugin/xfce4-xkb-plugin-0.8.2.ebuild | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/xfce-extra/xfce4-xkb-plugin/Manifest 
b/xfce-extra/xfce4-xkb-plugin/Manifest
index bf83d74dc79..94ca4ca8d33 100644
--- a/xfce-extra/xfce4-xkb-plugin/Manifest
+++ b/xfce-extra/xfce4-xkb-plugin/Manifest
@@ -1 +1,2 @@
 DIST xfce4-xkb-plugin-0.8.1.tar.bz2 842814 BLAKE2B 
be6dfce8e605be346dcd0a5259da980ffd4f7160a808de288bcc7c970c47c678dc6dfde8615e21042142221c6ba66d328dd741f3ce70d988c94562ec061230f2
 SHA512 
4f0362f429489d111544126697880cdb0a768533803a104f73802fe2c5cfbef5efbf6edd658dbb0ef788ae2a3761f1877c191637a6a06d4a5159bc8f71ad524f
+DIST xfce4-xkb-plugin-0.8.2.tar.bz2 868539 BLAKE2B 
20a7a27903be434490b3328f04d57a4ceb505dc1b63e4c98d584c72e6ad0dbc742251c0d9f43ba1da869caa2924627b6cfddd969874a3f5fae8fbf90ef577da6
 SHA512 
3078c11e1c10195480251c455995e4342c27b06949fc754396824f03bed885f32078f4c1436d86782de031cf4f4f806b530ca53116d4bedb54dda19b68ec7062

diff --git a/xfce-extra/xfce4-xkb-plugin/xfce4-xkb-plugin-0.8.2.ebuild 
b/xfce-extra/xfce4-xkb-plugin/xfce4-xkb-plugin-0.8.2.ebuild
new file mode 100644
index 00000000000..a7e2199ac33
--- /dev/null
+++ b/xfce-extra/xfce4-xkb-plugin/xfce4-xkb-plugin-0.8.2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="XKB layout switching panel plug-in for the Xfce desktop 
environment"
+HOMEPAGE="https://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin";
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="BSD-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+DEPEND="gnome-base/librsvg:=
+       x11-libs/gtk+:3=
+       x11-libs/libwnck:3=
+       x11-libs/libX11:=
+       >=x11-libs/libxklavier-5.3:=
+       xfce-base/garcon:=
+       >=xfce-base/libxfce4ui-4.12:=
+       >=xfce-base/libxfce4util-4.12:=
+       >=xfce-base/xfce4-panel-4.12:=
+       >=xfce-base/xfconf-4.12.1:="
+RDEPEND="${DEPEND}
+       x11-apps/setxkbmap
+       >=xfce-base/xfce4-settings-4.11"
+BDEPEND="
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_configure() {
+       local myconf=(
+               --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to